public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-libs/netcdf/
Date: Tue,  2 Apr 2024 11:29:32 +0000 (UTC)	[thread overview]
Message-ID: <1712057203.85deb6c116f4a6bf49da243324d4cf0b60ff7b8a.sam@gentoo> (raw)

commit:     85deb6c116f4a6bf49da243324d4cf0b60ff7b8a
Author:     Paul Zander <negril.nx+gentoo <AT> gmail <DOT> com>
AuthorDate: Sat Mar 16 18:12:53 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Apr  2 11:26:43 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=85deb6c1

sci-libs/netcdf: cmake rework, fix bug 886155

Remove cmake automagic for file filters.
Make test run in parallel that failed due to mpi failures.
Filter cmake targets file further.

Closes: https://bugs.gentoo.org/886155
Signed-off-by: Paul Zander <negril.nx+gentoo <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/35786
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sci-libs/netcdf/metadata.xml           |   3 +-
 sci-libs/netcdf/netcdf-4.9.2-r1.ebuild | 103 +++++++++++++++++++++++++++++++++
 2 files changed, 105 insertions(+), 1 deletion(-)

diff --git a/sci-libs/netcdf/metadata.xml b/sci-libs/netcdf/metadata.xml
index 710afdc8ff08..dec0009bbcb4 100644
--- a/sci-libs/netcdf/metadata.xml
+++ b/sci-libs/netcdf/metadata.xml
@@ -14,8 +14,9 @@
   access, and sharing of scientific data.
   </longdescription>
   <use>
+    <flag name="blosc">Allow using blosc compression via <pkg>dev-libs/c-blosc</pkg></flag>
     <flag name="dap">Support for remote data access with the built-in OPeNDAP client</flag>
-    <flag name="hdf">Add support for the Hierarchical Data Format v.4 <pkg>sci-libs/hdf</pkg></flag>
+    <flag name="hdf">Build with HDF4 read capability(<pkg>sci-libs/hdf</pkg>, <pkg>sci-libs/hdf5</pkg> and <pkg>sys-libs/zlib</pkg> required).</flag>
   </use>
   <upstream>
     <remote-id type="github">Unidata/netcdf-c</remote-id>

diff --git a/sci-libs/netcdf/netcdf-4.9.2-r1.ebuild b/sci-libs/netcdf/netcdf-4.9.2-r1.ebuild
new file mode 100644
index 000000000000..458001188497
--- /dev/null
+++ b/sci-libs/netcdf/netcdf-4.9.2-r1.ebuild
@@ -0,0 +1,103 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+DESCRIPTION="Scientific library and interface for array oriented data access"
+HOMEPAGE="https://www.unidata.ucar.edu/software/netcdf/"
+SRC_URI="https://downloads.unidata.ucar.edu/netcdf-c/${PV}/${PN}-c-${PV}.tar.gz"
+S="${WORKDIR}"/${PN}-c-${PV}
+
+LICENSE="UCAR-Unidata"
+# SONAME of libnetcdf.so
+SLOT="0/19"
+KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 -riscv ~x86 ~amd64-linux ~x86-linux"
+IUSE="blosc bzip2 +dap doc examples hdf +hdf5 mpi szip test zstd"
+RESTRICT="!test? ( test )"
+
+# NOTE OPTION(ENABLE_HDF4 "Build netCDF-4 with HDF4 read capability(HDF4, HDF5 and Zlib required)." OFF)
+RDEPEND="
+	dev-libs/libxml2:=
+	sys-libs/zlib:=
+	blosc? ( dev-libs/c-blosc:= )
+	bzip2? ( app-arch/bzip2:= )
+	dap? ( net-misc/curl:= )
+	hdf? (
+		media-libs/libjpeg-turbo:=
+		sci-libs/hdf:=
+		sci-libs/hdf5:=
+	)
+	hdf5? ( sci-libs/hdf5:=[hl(+),mpi=,szip=,zlib] )
+	zstd? ( app-arch/zstd:= )
+"
+
+# deflate blosc zstd bz2
+DEPEND="${RDEPEND}"
+BDEPEND="
+	virtual/pkgconfig
+	doc? ( app-text/doxygen[dot] )
+"
+
+REQUIRED_USE="
+	szip? ( hdf5 )
+	mpi? ( hdf5 )
+"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-4.7.4-big-endian-test.patch
+)
+
+src_configure() {
+	use mpi && export CC=mpicc
+
+	local mycmakeargs=(
+		-DCMAKE_POLICY_DEFAULT_CMP0153="OLD" # exec_program
+
+		-DENABLE_DAP_REMOTE_TESTS=OFF
+		#-DENABLE_HDF4_FILE_TESTS=OFF
+		-DENABLE_LIBXML2=ON
+
+		-DBUILD_SHARED_LIBS="yes"
+		-DBUILD_TESTING="$(usex test)"
+		-DBUILD_UTILITIES="yes"
+
+		-DENABLE_DAP="$(usex dap)"
+		-DENABLE_DAP2="$(usex dap)"
+		-DENABLE_DAP4="$(usex dap)"
+
+		-DENABLE_DOXYGEN="$(usex doc)"
+		-DENABLE_EXAMPLES="$(usex examples)"
+		-DENABLE_HDF4="$(usex hdf)"
+		-DENABLE_NETCDF_4="$(usex hdf5)"
+		-DENABLE_TESTS="$(usex test)"
+
+		-DENABLE_NCZARR="yes"
+		# NOTE set these via MYCMAKEARGS if need be
+		# -DENABLE_NCZARR_FILTERS="yes"
+		# -DENABLE_NCZARR_FILTER_TESTING="yes"
+		# -DENABLE_NCZARR_ZIP="yes"
+
+		-DCMAKE_DISABLE_FIND_PACKAGE_Blosc="$(usex !blosc)"
+		-DCMAKE_DISABLE_FIND_PACKAGE_Bz2="$(usex !bzip2)"
+		-DCMAKE_DISABLE_FIND_PACKAGE_Szip="$(usex !szip)"
+		-DCMAKE_DISABLE_FIND_PACKAGE_Zstd="$(usex !zstd)"
+	)
+
+	cmake_src_configure
+}
+
+src_test() {
+	[[ -f "${BUILD_DIR}/nc_test4/run_par_test.sh" ]] && \
+	sed -e 's/mpiexec/mpiexec --use-hwthread-cpus/g' -i "${BUILD_DIR}/nc_test4/run_par_test.sh" || die
+
+	cmake_src_test
+}
+
+src_install() {
+	cmake_src_install
+
+	# bug #827188
+	sed -i -re "s:${EPREFIX}/usr/$(get_libdir)/lib(dl|m).(so|a);:\1;:g" "${ED}/usr/$(get_libdir)/cmake/netCDF/netCDFTargets.cmake" || die
+}


             reply	other threads:[~2024-04-02 11:29 UTC|newest]

Thread overview: 50+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-04-02 11:29 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-18 22:21 [gentoo-commits] repo/gentoo:master commit in: sci-libs/netcdf/ Jakov Smolić
2024-10-19 17:33 Michał Górny
2024-07-27  7:07 Arthur Zamarin
2024-05-30  4:36 Ionen Wolkens
2024-05-29 23:46 Sam James
2023-03-31 11:42 Arthur Zamarin
2023-03-31 11:42 Arthur Zamarin
2023-03-16 17:41 Arthur Zamarin
2023-03-15 10:50 Sam James
2023-03-15  5:53 Sam James
2023-03-15  5:45 Sam James
2023-03-05  4:13 Sam James
2022-06-13  7:12 Agostino Sarubbo
2022-06-13  7:07 Agostino Sarubbo
2022-06-11  5:02 Sam James
2022-06-08  5:25 Sam James
2022-05-11  8:02 Agostino Sarubbo
2022-05-10 13:47 Agostino Sarubbo
2022-01-11 21:37 Jakov Smolić
2022-01-11 21:37 Jakov Smolić
2021-12-28 22:00 Sam James
2021-12-28 22:00 Sam James
2021-08-14 23:15 Marek Szuba
2021-02-25 19:07 Sam James
2021-02-25  8:56 Sam James
2021-02-25  8:56 Sam James
2021-02-25  8:50 Sam James
2021-02-22 18:57 Sam James
2021-02-19 20:12 Thomas Deutschmann
2021-01-17 13:37 Pacho Ramos
2021-01-17 13:37 Pacho Ramos
2020-12-28 16:11 David Seifert
2019-09-14  6:52 Matt Turner
2018-10-13 15:49 Sergei Trofimovich
2018-10-05 17:11 Mikle Kolyada
2018-10-05 12:25 Thomas Deutschmann
2018-09-30 10:10 Pacho Ramos
2018-05-16 22:57 Aaron Bauman
2018-04-24 16:19 Matthias Maier
2018-04-24 15:58 Matthias Maier
2017-08-27 14:03 Sergei Trofimovich
2017-07-15 10:25 Sergei Trofimovich
2017-07-15 10:10 Sergei Trofimovich
2016-12-28 11:25 Pacho Ramos
2016-12-28 11:25 Pacho Ramos
2016-12-28 11:25 Pacho Ramos
2016-01-25  9:52 David Seifert
2016-01-23 20:05 David Seifert
2016-01-20  8:20 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1712057203.85deb6c116f4a6bf49da243324d4cf0b60ff7b8a.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox